---
title: WebGLRenderingContext.cullFace()
slug: Web/API/WebGLRenderingContext/cullFace
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGLRenderingContext.cullFace()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> specifies whether or not front- and/or back-facing polygons can be culled.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void <var>gl</var>.cullFace(<var>mode</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>mode</code></dt>
 <dd>A {{domxref("GLenum")}} specifying whether front- or back-facing polygons are candidates for culling. The default value is <code>gl.BACK</code>. Possible values are:
 <ul>
  <li><code>gl.FRONT</code></li>
  <li><code>gl.BACK</code></li>
  <li><code>gl.FRONT_AND_BACK</code></li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<p>Polygon culling is disabled by default. To enable or disable culling, use the {{domxref("WebGLRenderingContext.enable", "enable()")}} and {{domxref("WebGLRenderingContext.disable", "disable()")}} methods with the argument <code>gl.CULL_FACE</code>.</p>

<pre class="brush: js">gl.enable(gl.CULL_FACE);
gl.cullFace(gl.FRONT_AND_BACK);
</pre>

<p>To check the current cull face mode, query the <code>CULL_FACE_MODE</code> constant.</p>

<pre class="brush: js">gl.getParameter(gl.CULL_FACE_MODE) === gl.FRONT_AND_BACK;
// true
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.3", "cullFace")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glCullFace.xml", "glCullFace")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Man page of the OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.cullFace")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.enable()")}}</li>
 <li>{{domxref("WebGLRenderingContext.frontFace()")}}</li>
</ul>
